#ifndef _ADATA_SDK_COMMON_H
#define _ADATA_SDK_COMMON_H

#include <vxWorks.h>
#include <admxrc3.h>

typedef int bool_t;

extern ADMXRC3_STATUS
sampleGetFpgaFilename(
  ADMXRC3_HANDLE hCard,
  unsigned int targetIndex,
  const char* pDir,
  const char* pDesign,
  size_t bufferSize,
  char* pFileNameBuffer,
  bool_t* pbShouldConfigure);

extern ADMXRC3_STATUS
sampleOpenCard(
  unsigned int index,
  int bByIndex,
  unsigned int serial,
  int bBySerial,
  ADMXRC3_HANDLE* phCard);

extern int
sampleTaskNice(
  void);

#endif
